com.amazonaws.services.workspaces.model

## Class RebuildWorkspacesResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.workspaces.model.RebuildWorkspacesResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class RebuildWorkspacesResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

Contains the results of the RebuildWorkspaces operation.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RebuildWorkspacesResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`RebuildWorkspacesResult` `clone()`
`boolean` `equals(Object obj)`
`List<FailedWorkspaceChangeRequest>` `getFailedRequests()` An array of structures representing any WorkSpaces that could not be rebuilt.
`int` `hashCode()`
`void` `setFailedRequests(Collection<FailedWorkspaceChangeRequest> failedRequests)` An array of structures representing any WorkSpaces that could not be rebuilt.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`RebuildWorkspacesResult` `withFailedRequests(Collection<FailedWorkspaceChangeRequest> failedRequests)` An array of structures representing any WorkSpaces that could not be rebuilt.
`RebuildWorkspacesResult` `withFailedRequests(FailedWorkspaceChangeRequest... failedRequests)` An array of structures representing any WorkSpaces that could not be rebuilt.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RebuildWorkspacesResult

    public RebuildWorkspacesResult()

### Method Detail

#### getFailedRequests

    public List<FailedWorkspaceChangeRequest> getFailedRequests()

An array of structures representing any WorkSpaces that could not be rebuilt.

Returns:
  An array of structures representing any WorkSpaces that could not be rebuilt.

#### setFailedRequests

    public void setFailedRequests(Collection<FailedWorkspaceChangeRequest> failedRequests)

An array of structures representing any WorkSpaces that could not be rebuilt.

Parameters:
  `failedRequests` - An array of structures representing any WorkSpaces that could not be rebuilt.

#### withFailedRequests

    public RebuildWorkspacesResult withFailedRequests(FailedWorkspaceChangeRequest... failedRequests)

An array of structures representing any WorkSpaces that could not be rebuilt.

NOTE: This method appends the values to the existing list (if any). Use `setFailedRequests(java.util.Collection)` or `withFailedRequests(java.util.Collection)` if you want to override the existing values.

Parameters:
  `failedRequests` - An array of structures representing any WorkSpaces that could not be rebuilt.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withFailedRequests

    public RebuildWorkspacesResult withFailedRequests(Collection<FailedWorkspaceChangeRequest> failedRequests)

An array of structures representing any WorkSpaces that could not be rebuilt.

Parameters:
  `failedRequests` - An array of structures representing any WorkSpaces that could not be rebuilt.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public RebuildWorkspacesResult clone()

Overrides:
  `clone` in class `Object`